FileParsers.h File Reference
`#include <RDGeneral/export.h>`
`#include <RDGeneral/types.h>`
`#include <GraphMol/RDKitBase.h>`
`#include <string>`
`#include <iostream>`
`#include <vector>`
`#include <exception>`
`#include <boost/shared_ptr.hpp>`

Go to the source code of this file.

## Classes

class | RDKit::MolFileUnhandledFeatureException

## Namespaces

| RDKit
| Std stuff.

## Typedefs

typedef std::vector< RWMOL_SPTR > | RDKit::RWMOL_SPTR_VECT

## Enumerations

enum | RDKit::Mol2Type { RDKit::CORINA = 0 }

## Functions

RDKIT_FILEPARSERS_EXPORT std::string | RDKit::strip (const std::string &orig)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::MolDataStreamToMol (std::istream *inStream, unsigned int &line, bool sanitize=true, bool removeHs=true, bool strictParsing=true)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::MolDataStreamToMol (std::istream &inStream, unsigned int &line, bool sanitize=true, bool removeHs=true, bool strictParsing=true)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::MolBlockToMol (const std::string &molBlock, bool sanitize=true, bool removeHs=true, bool strictParsing=true)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::MolFileToMol (const std::string &fName, bool sanitize=true, bool removeHs=true, bool strictParsing=true)
RDKIT_FILEPARSERS_EXPORT std::string | RDKit::MolToMolBlock (const ROMol &mol, bool includeStereo=true, int confId=-1, bool kekulize=true, bool forceV3000=false)
RDKIT_FILEPARSERS_EXPORT void | RDKit::MolToMolFile (const ROMol &mol, const std::string &fName, bool includeStereo=true, int confId=-1, bool kekulize=true, bool forceV3000=false)
RDKIT_FILEPARSERS_EXPORT std::string | RDKit::MolToXYZBlock (const ROMol &mol, int confId=-1)
RDKIT_FILEPARSERS_EXPORT void | RDKit::MolToXYZFile (const ROMol &mol, const std::string &fName, int confId=-1)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::TPLDataStreamToMol (std::istream *inStream, unsigned int &line, bool sanitize=true, bool skipFirstConf=false)
| translate TPL data (BioCad format) into a multi-conf molecule More...
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::TPLFileToMol (const std::string &fName, bool sanitize=true, bool skipFirstConf=false)
| construct a multi-conf molecule from a TPL (BioCad format) file More...
RDKIT_FILEPARSERS_EXPORT std::string | RDKit::MolToTPLText (const ROMol &mol, const std::string &partialChargeProp="_GasteigerCharge", bool writeFirstConfTwice=false)
RDKIT_FILEPARSERS_EXPORT void | RDKit::MolToTPLFile (const ROMol &mol, const std::string &fName, const std::string &partialChargeProp="_GasteigerCharge", bool writeFirstConfTwice=false)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::Mol2FileToMol (const std::string &fName, bool sanitize=true, bool removeHs=true, Mol2Type variant=CORINA, bool cleanupSubstructures=true)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::Mol2DataStreamToMol (std::istream *inStream, bool sanitize=true, bool removeHs=true, Mol2Type variant=CORINA, bool cleanupSubstructures=true)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::Mol2DataStreamToMol (std::istream &inStream, bool sanitize=true, bool removeHs=true, Mol2Type variant=CORINA, bool cleanupSubstructures=true)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::Mol2BlockToMol (const std::string &molBlock, bool sanitize=true, bool removeHs=true, Mol2Type variant=CORINA, bool cleanupSubstructures=true)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::PDBBlockToMol (const char *str, bool sanitize=true, bool removeHs=true, unsigned int flavor=0, bool proximityBonding=true)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::PDBBlockToMol (const std::string &str, bool sanitize=true, bool removeHs=true, unsigned int flavor=0, bool proximityBonding=true)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::PDBDataStreamToMol (std::istream *inStream, bool sanitize=true, bool removeHs=true, unsigned int flavor=0, bool proximityBonding=true)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::PDBDataStreamToMol (std::istream &inStream, bool sanitize=true, bool removeHs=true, unsigned int flavor=0, bool proximityBonding=true)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::PDBFileToMol (const std::string &fname, bool sanitize=true, bool removeHs=true, unsigned int flavor=0, bool proximityBonding=true)
RDKIT_FILEPARSERS_EXPORT std::string | RDKit::MolToPDBBlock (const ROMol &mol, int confId=-1, unsigned int flavor=0)
RDKIT_FILEPARSERS_EXPORT void | RDKit::MolToPDBFile (const ROMol &mol, const std::string &fname, int confId=-1, unsigned int flavor=0)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::RDKitSVGToMol (const std::string &svg, bool sanitize=true, bool removeHs=true)
RDKIT_FILEPARSERS_EXPORT RWMol * | RDKit::RDKitSVGToMol (std::istream *instream, bool sanitize=true, bool removeHs=true)

## Variables

const int | RDKit::MOLFILE_MAXLINE = 256